package cn.quantgroup.xyqb.entity.baseEntity;

//
// Source code recreated from a .class file by IntelliJ IDEA
// (powered by FernFlower decompiler)
//


import javax.persistence.Column;
import javax.persistence.MappedSuperclass;

@MappedSuperclass
public abstract class PartitionEntity extends OptimisticEntity {
    @Column(
            name = "PARTITION_KEY",
            nullable = false,
            updatable = false
    )
    private Integer partitionKey;

    public PartitionEntity() {
    }

    public Integer getPartitionKey() {
        return this.partitionKey;
    }

    public void setPartitionKey(Integer partitionKey) {
        this.partitionKey = partitionKey;
    }
}

